MagickCore: profile.h File Reference

# profile.h File Reference

`#include "magick/string_.h"`

Go to the source code of this file.

## Data Structures
struct | _ProfileInfo
## Typedefs
typedef struct _ProfileInfo | ProfileInfo
## Enumerations
enum | RenderingIntent { UndefinedIntent, SaturationIntent, PerceptualIntent, AbsoluteIntent, RelativeIntent }
## Functions
MagickExport char * | GetNextImageProfile (const Image *)
MagickExport const StringInfo * | GetImageProfile (const Image *, const char *)
MagickExport MagickBooleanType | CloneImageProfiles (Image *, const Image *)
MagickExport MagickBooleanType | DeleteImageProfile (Image *, const char *)
MagickExport MagickBooleanType | ProfileImage (Image *, const char *, const void *, const size_t, const MagickBooleanType)
MagickExport MagickBooleanType | SetImageProfile (Image *, const char *, const StringInfo *)
MagickExport MagickBooleanType | SyncImageProfiles (Image *)
MagickExport StringInfo * | RemoveImageProfile (Image *, const char *)
MagickExport void | DestroyImageProfiles (Image *)
MagickExport void | ResetImageProfileIterator (const Image *)

## Typedef Documentation

typedef struct _ProfileInfo ProfileInfo

## Enumeration Type Documentation

enum RenderingIntent

Enumerator:

  UndefinedIntent |
  SaturationIntent |
  PerceptualIntent |
  AbsoluteIntent |
  RelativeIntent |

## Function Documentation

MagickExport MagickBooleanType CloneImageProfiles | ( | Image * | ,
|  | const Image * |  |
| ) |  |  |

MagickExport MagickBooleanType DeleteImageProfile | ( | Image * | ,
|  | const char * |  |
| ) |  |  |

MagickExport void DestroyImageProfiles | ( | Image * |  | ) |

MagickExport const StringInfo* GetImageProfile | ( | const Image * | ,
|  | const char * |  |
| ) |  |  |

MagickExport char* GetNextImageProfile | ( | const Image * |  | ) |

MagickExport MagickBooleanType ProfileImage | ( | Image * | ,
|  | const char * | ,
|  | const void * | ,
|  | const | size_t,
|  | const | MagickBooleanType |
| ) |  |  |

MagickExport StringInfo* RemoveImageProfile | ( | Image * | ,
|  | const char * |  |
| ) |  |  |

MagickExport void ResetImageProfileIterator | ( | const Image * |  | ) |

MagickExport MagickBooleanType SetImageProfile | ( | Image * | ,
|  | const char * | ,
|  | const StringInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType SyncImageProfiles | ( | Image * |  | ) |